
%define qtmajor 5
%define qtminor 6
%define qtsubminor 1
%define major 5

%define rel 1 

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtwayland %mklibname qt5waylandclient %qtmajor
%define libqtwayland_d %mklibname qt5waylandclient -d

%define qttarballdir qtwayland-opensource-src-%{qtversion}

Name: qtwayland5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt5 - Wayland platform support and QtCompositor module
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %version
BuildRequires: qt5quick-devel >= %version
BuildRequires: qt5platformsupport-devel
BuildRequires: re2c
BuildRequires: mesa-devel
BuildRequires: qtbase5-common-devel
BuildRequires: x11-proto-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}wayland-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xcomposite-devel
BuildRequires: %{_lib}xfixes-devel
BuildRequires: %{_lib}xkbcommon-devel

#Branch Patchs

#Trunk Patchs

#Patch from Others

%description
Qt5 - Wayland platform support and QtCompositor module

%files
%{_qt5_bindir}/qtwaylandscanner
%{_qt5_plugindir}/platforms/*.so
%{_qt5_plugindir}/wayland-decoration-client
%{_qt5_plugindir}/wayland-graphics-integration-client

#------------------------------------------------------------------------------

%package -n %{libqtwayland}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Obsoletes: %{_lib}gqtwaylandclient5
Provides:  %{_lib}gqtwaylandclient5 = %version

%description -n %{libqtwayland}
Qt%{qtmajor} Component Library.

%files -n %{libqtwayland}
%{_qt5_libdir}/libQt5WaylandClient.so.%{major}*

#------------------------------------------------------------------------------

%package -n %{libqtwayland_d}
Summary: Devel files needed to build apps based on %name
Group:    Development/Libraries
Requires: %{libqtwayland} = %version
Provides: libqtwayland5-devel = %version
Provides: libqt5wayland-devel = %version
Provides: qtwayland5-devel = %version
Provides: qt5wayland-devel = %version

Provides: libqtwayland-private-devel = %version
Provides: libqtwayland5-private-devel = %version
Provides: libqt5wayland-private-devel = %version
Provides: qtwayland-private-devel = %version
Provides: qt5wayland-private-devel = %version

Obsoletes: %{_lib}qt5waylandclient-private-devel
Provides:  %{_lib}qt5waylandclient-private-devel = %version

%description -n %{libqtwayland_d}
Devel files needed to build apps based on %name

%files -n %{libqtwayland_d}
%{_qt5_libdir}/libQt5WaylandClient.so
%{_qt5_libdir}/libQt5WaylandClient.prl
%{_qt5_libdir}/pkgconfig/Qt5WaylandClient.pc
%{_qt5_includedir}/QtWaylandClient
%{_qt5_datadir}/mkspecs/modules/qt_lib_waylandclient.pri
%{_qt5_libdir}/cmake/Qt5WaylandClient
%{_qt5_libdir}/cmake/Qt5Gui/*
%{_qt5_datadir}/mkspecs/modules/qt_lib_waylandclient_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5
%make

#------------------------------------------------------------------------------

%install
rm -rf %buildroot
%qmakeinstall_std

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a
rm -rf %{buildroot}/%_qt5_examplesdir


%changelog
* Thu Jun 09 2016 bb <bb> 5.6.1-1pclos2016
- update

* Fri Mar 18 2016 bb <bb> 5.6.0-1pclos2016
- update
